import { IApiSuccess, IDataFetcherResponse, IDataTableQuery, IApiPayload } from '../../api.models';
import { ICountryClassification } from './CountryClassifications.models';

export declare const countryClassificationsApi: {
    /** Get a single country classification */
    get(id: number): Promise<IApiPayload<ICountryClassification>>;
    /** create */
    create(countryClassification: Partial<ICountryClassification>): Promise<IApiPayload<ICountryClassification>>;
    /** save */
    save(countryClassification: Partial<ICountryClassification>): Promise<IApiPayload<ICountryClassification>>;
    /** delete */
    delete(id: number): Promise<IApiSuccess>;
    /** getList */
    getList(query?: IDataTableQuery): Promise<IDataFetcherResponse<ICountryClassification>>;
};
